# unitize
![Version](https://img.shields.io/badge/pypi-v0.0.7-blue)
![License](https://img.shields.io/badge/license-MIT-green)
![Update](https://img.shields.io/badge/last_updated-7/18/24-green)
![Test Status](https://github.com/NarenDawar/unitize/workflows/Tests/badge.svg)


unitize is a Python package that provides convenient utilities for converting between various units of measurement. It includes converters for length, mass, temperature, time, speed, pressure, and volume, making it easy to perform accurate conversions in your Python applications.

## Installation

You can install unitize using pip:

**bash:**
pip install unitize

## Classes & Units

**LengthConverter** - meters, kilometers, centimeters, millimeters, inches, feet, yards, miles

**MassConverter** - grams, kilograms, milligrams, pounds, ounces

**TemperatureConverter** - Fahrenheit, Celsius, Kelvin

**TimeConverter** - seconds, minutes, hours, days, weeks

**VolumeConverter** - liters, milliliters, cubic_meters, cubic_centimeters, cubic_inches, cubic_feet, gallons, quarts, pints, cups

**PressureConverter** - pascals, kilopascals, psi, bars, atmospheres

**SpeedConverter** - meters_per_second, kilometers_per_hour, miles_per_hour, feet_per_second, knots

**DataStorageConverter** - bytes, kilobytes, megabytes, gigabytes, terabytes, petabytes

**EnergyConverter** - joules, calories, kilowatt_hours, btu (british thermal unit)




